Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io
Class JDBCConnection

    java.lang.Object
      org.deegree.io.JDBCConnection

    public class JDBCConnection

extends Object

Class representation for an element of type "deegreejdbc:JDBCConnectionType" as defined in datastore_configuration.xsd.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Torsten Friebe , last edited by: $Author: mschneider $
To do:
  Change the type name!

Constructor Summary
`JDBCConnection(String driver, String url, String user, String password, String securityConstraints, String encoding, String aliasPrefix)`
`JDBCConnection(String driver, String url, String user, String password, String securityConstraints, String encoding, String aliasPrefix, String sdeDatabase, String sdeVersion)`

Method Summary
`boolean` | `equals(Object o)` Indicates whether some other object is "equal to" this one.
`String` | `getAliasPrefix()`
`String` | `getDriver()`
`String` | `getEncoding()`
`String` | `getPassword()`
`String` | `getSDEDatabase()`
`String` | `getSDEVersion()`
`String` | `getSecurityConstraints()`
`String` | `getURL()`
`String` | `getUser()`
`String` | `toString()` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JDBCConnection

    public JDBCConnection(String driver,
                          String url,
                          String user,
                          String password,
                          String securityConstraints,
                          String encoding,
                          String aliasPrefix)

Parameters:
  `driver` - JDBC driver
  `url` - JDBC connection string
  `user` - user name
  `password` - users password
  `securityConstraints` - constraints to consider (not implemented yet)
  `encoding` - encoding to be used for connection
  `aliasPrefix` - ?

### JDBCConnection

    public JDBCConnection(String driver,
                          String url,
                          String user,
                          String password,
                          String securityConstraints,
                          String encoding,
                          String aliasPrefix,
                          String sdeDatabase,
                          String sdeVersion)

Parameters:
  `driver` - JDBC driver
  `url` - JDBC connection string
  `user` - user name
  `password` - users password
  `securityConstraints` - constraints to consider (not implemented yet)
  `encoding` - encoding to be used for connection
  `aliasPrefix` - ?
  `sdeDatabase` -
  `sdeVersion` -

Method Detail

### getDriver

    public String getDriver()

  Returns:
    driver

### getEncoding

    public String getEncoding()

  Returns:
    encoding

### getAliasPrefix

    public String getAliasPrefix()

  Returns:
    aliasPrefix

### getURL

    public String getURL()

  Returns:
    url

### getPassword

    public String getPassword()

  Returns:
    password

### getSecurityConstraints

    public String getSecurityConstraints()

  Returns:
    securityConstraints

### getUser

    public String getUser()

  Returns:
    user

### getSDEDatabase

    public String getSDEDatabase()

  Returns:
    sdeDatabase

### getSDEVersion

    public String getSDEVersion()

  Returns:
    sdeVersion

### equals

    public boolean equals(Object o)

  Indicates whether some other object is "equal to" this one.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `o` - the reference object with which to compare
  Returns:
    `true` if this object is the same as the obj argument; false otherwise

### toString

    public String toString()

  Returns a string representation of the object.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of the object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org